Firefox : une page pour signaler les plug-ins périmés

Une page Web de Mozilla le fait déjà 38
Certains l’ont remarqué, la dernière version de Firefox (3.5.3) pouvait avertir les utilisateurs que leur lecteur Flash était « périmé ». Un moyen commode de faire signe puisque les mises à jour sortent le plus souvent pour colmater des failles de sécurité. Mozilla a décidé d’étendre ce principe à tous les autres plug-ins, ou tout du moins à la plupart.

firefox plugins

Comme on peut le voir sur la capture ci-dessus, l’idée est donc de lister les plug-ins installés et de fournir un état associé. Mozilla a constitué une base de données référençant les dernières versions disponibles et vous avertit simplement si vous devez mettre à jour.

Dans le cas où tout va bien, les voyants sont au vert et Mozilla vous congratule d’un joli « You are safe » (« Vous êtes en sécurité », du moins autant que faire se peut). Dans le cas contraire, le bouton indique « Update Now » (« Mettez à jour maintenant ») pour remédier à la situation.

Pour le moment, il s’agit d’une simple page web, mais cela deviendra peut-être une fonctionnalité à part entière du navigateur par la suite. Attention, un avertissement de sécurité sera présent sur la page à cause d'un certificat qui ne fonctionne pas. Il faudra ajouter une exception pour utiliser la détection des plug-ins.